%define		realname	libjpeg
Summary:	Library for handling different jpeg files - Mingw32 cross version
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie jpeg - wersja skrośna dla Mingw32
Name:		crossmingw32-%{realname}
Version:	6b
Release:	5
License:	distributable
Group:		Libraries
Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v%{version}.tar.gz
# Source0-md5:	dbd5f3b47ed13132f04c685d608a7547
Patch0:		%{realname}-DESTDIR.patch
Patch1:		%{realname}-include.patch
Patch2:		%{realname}-c++.patch
Patch3:		%{name}-shared.patch
URL:		http://www.ijg.org/
Requires:	crossmingw32-runtime
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32
%define		arch			%{_prefix}/%{target}
%define		gccarch			%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib			%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
The libjpeg package contains a library of functions for manipulating
JPEG images.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do manipulacji plikami jpeg.

%package dll
Summary:	libjpeg - DLL library for Windows
Summary(pl.UTF-8):	libjpeg - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
libjpeg - DLL library for Windows.

%description dll -l pl.UTF-8
libjpeg - biblioteka DLL dla Windows.

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

%configure \
	--target=%{target} \
	--host=%{target} \
	--build=i386-linux \
	--prefix=%{arch}

%{__make}
%{__make} jpeg.dll

cat << "EOF" >> libjpeg.la
# libjpeg.la - a libtool library file
# Generated by ltmain.sh - GNU libtool 1.5.22 (1.1220.2.365 2005/12/18 22:14:06)
# ^^^^ This line needs to stay
# Made by czarny czarny at pld-linux.org

# The name that we can dlopen(3).
dlname='../bin/libjpeg.dll'

# Names of this library.
library_names='libjpeg.dll.a'

# The name of the static archive.
old_library='libjpeg.a'

# Libraries that this one depends upon.
dependency_libs=''

# Version information for libz.
current=0
age=0
revision=0

# Is this an already installed library?
installed=yes

# Should we warn about portability when linking against -modules?
shouldnotlink=no

# Files to dlopen/dlpreopen
dlopen=''
dlpreopen=''

# Directory that this library needs to be installed in:
libdir='%{_libdir}'
EOF

%{target}-strip jpeg.dll
%{target}-strip -g -R.comment -R.note *.a

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/{include,lib,bin}

install jconfig.h jerror.h jmorecfg.h jpeglib.h jversion.h $RPM_BUILD_ROOT%{_includedir}
install *.a $RPM_BUILD_ROOT%{_libdir}
install jpeg.dll $RPM_BUILD_ROOT%{_bindir}/libjpeg.dll
install libjpeg.la $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.a

%files dll
%defattr(644,root,root,755)
%{_bindir}/*.dll
